Subject: Re: bug#62721: 30.0.50; EUDC: stop adding a wildcard to LDAP searches

From: Thomas Fitzsimmons <[email-masked]>
Date: Tue, 16 May 2023 06:57:59 -0400

Fabrice Bauzac-Stehly <[email-masked]> writes:

> Thomas Fitzsimmons <[email-masked]> writes:
>
>> Fabrice Bauzac-Stehly <[email-masked]> writes:
>>
>>> Sure.  I have kept the two default items of the list, and added
>>> 'samaccountname (the attribute for which I don't want any wildcard).  As
>>> I've used Customize, it appears like this in my ~/.emacs.d/init.el:
>>>
>>> '(eudc-ldap-no-wildcard-attributes '(objectclass objectcategory samaccountname))
>>
>> Thanks, and what field of `eudc-query-form' does that affect?  "E-Mail"?
>
> It affects samaccountname.  Indeed, I forgot to indicate that I have
> also customized eudc-query-form-attributes:
>
>  '(eudc-default-return-attributes
>    '(displayname firstname name thumbnailphoto mail samaccountname ...))
>  '(eudc-ldap-no-wildcard-attributes '(objectclass objectcategory samaccountname))
>  '(eudc-query-form-attributes '(name firstname email samaccountname))

Oh, OK.  Can you test how to apply this to the standard "E-Mail"
attribute in `eudc-query-form'?  I forget if I want "mail" or "email"
for SYMBOL here:

You may not want functions like `eudc-query-form' and
`eudc-expand-inline' to do LDAP wildcard expansion by default on
certain fields.  If so, add the relevant symbol to this list, for
example `SYMBOL' for the \"E-Mail\" field.

Then I'll push the updated patch.

Thanks,
Thomas